
%global srcname pdfrw

Name: python-%{srcname}
Version: 0.2
Release: 4%{?dist}
Summary: Python library to read and write PDF files
License: MIT

Group: Development/Libraries
URL: https://github.com/pmaupin/pdfrw
Source0: https://pypi.python.org/packages/source/p/pdfrw/pdfrw-%{version}.tar.gz

BuildRequires: python2-devel python3-devel
BuildArch: noarch

%description
pdfrw is a basic PDF file manipulation library. Developed and tested on 
Python 2.5-2.7,  pdfrw can read and write PDF files, and can also be used to 
read in PDFs which can then be used inside reportlab. 

%package -n python2-%{srcname}
Summary: Python library to read and write PDF files
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
pdfrw is a basic PDF file manipulation library. Developed and tested on 
Python 2.5-2.7,  pdfrw can read and write PDF files, and can also be used to 
read in PDFs which can then be used inside reportlab. 


%package -n python3-%{srcname}
Summary: Python library to read and write PDF files
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
pdfrw is a basic PDF file manipulation library. Developed and tested on 
Python 2.5-2.7,  pdfrw can read and write PDF files, and can also be used to 
read in PDFs which can then be used inside reportlab. 

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.rst examples
%{python2_sitelib}/*

%files -n python3-%{srcname}
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.rst examples
%{python3_sitelib}/*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 17 2015 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-2
- New 0.2 version with Python3 support, using new macros
- Yes, I forgot to upload the tarball

* Sun Nov 15 2015 Till Maas <opensource@till.name> - 0.1-6
- Use %%license

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 0.1-2
- Cleaned line removing buildroot in install
- Including examples in docs

* Tue Apr 30 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 0.1-1
- New spec file
